Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package pyinst.bindepend

## Functions
def | Dependencies
def | getfullnameof
def | getImports
| if getfullnameof('dumpbin.exe') == '': def getImports(pth): return getImports2(pth) else: def getImports(pth): return getImports1(pth)
def | getImports1
def | getImports2
## Variables
dictionary | excludes
dictionary | seen = {}

## Function Documentation

def pyinst.bindepend.Dependencies | ( |  | lTOC | ) |

    Expand LTOC to include all the closure of binary dependencies.

       LTOC is a logical table of contents, ie, a seq of tuples (name, path).
       Return LTOC expanded by all the binary dependencies of the entries
       in LTOC, except those listed in the module global EXCLUDES

def pyinst.bindepend.getfullnameof | ( |  | mod,
|  |  | xtrapath = `None`
| ) |  |

    Return the full path name of MOD.

        MOD is the basename of a dll or pyd.
        XTRAPATH is a path or list of paths to search first.
        Return the full path name of MOD.
        Will search the full Windows search path, as well as sys.path

def pyinst.bindepend.getImports | ( |  | pth | ) |

if getfullnameof('dumpbin.exe') == '': def getImports(pth): return getImports2(pth) else: def getImports(pth): return getImports1(pth)

    Forwards to either getImports1 or getImports2

def pyinst.bindepend.getImports1 | ( |  | pth | ) |

    Find the binary dependencies of PTH.

        This implementation (not used right now) uses the MSVC utility dumpbin

def pyinst.bindepend.getImports2 | ( |  | pth | ) |

    Find the binary dependencies of PTH.

        This implementation walks through the PE header

## Variable Documentation

dictionary excludes

Initial value:

    00001 {'KERNEL32.DLL':1,
    00002       'ADVAPI.DLL':1,
    00003       'MSVCRT.DLL':1,
    00004       'ADVAPI32.DLL':1,
    00005       'COMCTL32.DLL':1,
    00006       'CRTDLL.DLL':1,
    00007       'GDI32.DLL':1,
    00008       'MFC42.DLL':1,
    00009       'NTDLL.DLL':1,
    00010       'OLE32.DLL':1,
    00011       'OLEAUT32.DLL':1,
    00012       'RPCRT4.DLL':1,
    00013       'SHELL32.DLL':1,
    00014       'USER32.DLL':1,
    00015       'WINSPOOL.DRV':1,
    00016       'WS2HELP.DLL':1,
    00017       'WS2_32.DLL':1,
    00018       'WSOCK32.DLL':1,
    00019       'WINMM.DLL':1,
    00020       'COMDLG32.DLL':1,
    00021       'ZLIB.DLL':1,
    00022       'ODBC32.DLL':1,
    00023       'VERSION.DLL':1}

dictionary seen = {}

All Classes Namespaces Functions Variables Enumerations Enumerator Properties